This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535682 - (RHQ-2352) Add support for stopping/starting individual web apps in IIS
Add support for stopping/starting individual web apps in IIS
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-13 16:27 EDT by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 11:43:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2009-08-13 16:27:00 EDT
"Currently the IIS plugin only allows start/stop operations at the IIS level. This means if you are hosting multiple web applications on one server then an administrator's only functionality is to take them all offline. We would like to see this functionality extended one or two levels down. For example if you granted the ability to start and stop vhosts then on a shared IIS server each application could be cycled independently of the others. Coupling this with the ability to assign resources to groups (which is already built in) would allow us to segment administration even further. An alternative to start/stop vhosts would be to allow operations at the application pool level. Each vhost has to have an application pool and it would provide similar results to my other recommendation (assuming that the apps aren't sharing app pools)."

Possible options would be to add stop/start to the current vhost service, though we dont have this in Tomcat. Another alternative would be to add support for discovering web apps in IIS and then add stop/start there, similar to what we have currently for Tomcat.

Associated case: 330173
Comment 1 Red Hat Bugzilla 2009-11-10 16:02:44 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2352
Comment 2 Corey Welton 2010-11-22 13:05:19 EST
Triaged 17-Nov

Note You need to log in before you can comment on or make changes to this bug.